#include <stdio.h>
#define MAXV 1024
#define INF 0x0FFFFFFF

int b,l,n;


struct veh {
  int w, s;
};

veh vhs[MAXV];
double tm[MAXV][MAXV];
double mintms[MAXV];

void init() {
  for(int i=0; i<n; i++) {
    int mins = INF;
    for(int j=1; j<=n-i; j++) {
      if (vhs[i+j-1].s < mins)
        mins = vhs[i+j-1].s;
      tm[i][j] = ((double)l)/mins;
//      printf("l %d, mins %d, ",l,mins);
//      printf("tm[%d][%d]=%f\n",i,j,tm[i][j]);
    }
    mintms[i] = (double)INF;
  }
}

double min(double a, double b) {
  if (a < b) return a;
  return b;
}

double mintm(int k) {
  int totw=0, i=1;
  if (k >= n) return 0;
  double t=mintms[k];
  if (t < INF) return t;
  while(i+k-1 < n) {
    totw += vhs[i+k-1].w;
    if (totw > b) break;
    t = min(tm[k][i] + mintm(k+i),t);
    i++;
  }
  mintms[k] = t;
//  printf("mintm(%d)=%f\n",k,t*60);
  return t;
}

int main() {
  for(;;) {
    scanf("%d %d %d\n",&b,&l,&n);
    if (!b && !l && !n) break;
    for(int i=0; i<n; i++)
      scanf("%d %d\n",&vhs[i].w,&vhs[i].s);
    init();
    printf("%.1f\n",mintm(0)*60);
  }
  return 0;
}
